import logging

from django.contrib.contenttypes.models import ContentType
from django.forms import BaseModelFormSet, ModelForm

from core.models import Link, Project

logger = logging.getLogger(__name__)


class LinkForm(ModelForm):
    linked_object = None

    class Meta:
        model = Link
        fields = ['name', 'link_type', 'link']

    def set_linked_object(self, linked_object: Project):
        self.instance.content_type = ContentType.objects.get_for_model(type(linked_object))
        self.instance.object_id = linked_object.id


class LinkFormSet(BaseModelFormSet):
    model = Link
    form = LinkForm
    linked_object = None

    def set_linked_object(self, linked_object: Project):
        for form in self.forms:
            form.set_linked_object(linked_object)
