# Generated by Django 3.1.1 on 2020-10-18 09:20

import core.fields
import core.models.events
from django.conf import settings
import django.contrib.auth.models
import django.contrib.auth.validators
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='PlatformUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, unique=True, validators=[django.contrib.auth.validators.UnicodeUsernameValidator()], verbose_name='username')),
                ('first_name', models.CharField(blank=True, max_length=150, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('email', models.EmailField(blank=True, max_length=254, verbose_name='email address')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('accepted_speakersagreement', models.BooleanField(help_text='PlatformUser__accepted_speakersagreement__help', null=True, verbose_name='PlatformUser__accepted_speakersagreement')),
                ('is_child', models.BooleanField(help_text='PlatformUser__is_child__help', null=True, verbose_name='PlatformUser__is_child')),
                ('is_legal_age', models.BooleanField(help_text='PlatformUser__is_legal_age__help', null=True, verbose_name='PlatformUser__is_legal_age')),
                ('display_name', models.CharField(blank=True, help_text='PlatformUser__display_name__help', max_length=50, null=True, verbose_name='PlatformUser__display_name')),
                ('show_name', models.BooleanField(help_text='PlatformUser__show_name__help', null=True, verbose_name='PlatformUser__show_name')),
                ('avatar_url', models.URLField(blank=True, help_text='PlatformUser__avatar_url__help', null=True, verbose_name='PlatformUser__avatar_url')),
                ('avatar_config', models.JSONField(blank=True, help_text='PlatformUser__avatar_config__help', null=True, verbose_name='PlatformUser__avatar_config')),
                ('status', models.CharField(blank=True, help_text='PlatformUser__status__help', max_length=50, null=True, verbose_name='PlatformUser__status')),
                ('status_public', models.BooleanField(help_text='PlatformUser__status_public__help', null=True, verbose_name='PlatformUser__status_public')),
                ('no_animations', models.BooleanField(default=False, help_text='PlatformUser__no_animations__help', verbose_name='PlatformUser__no_animations')),
                ('colorblind', models.BooleanField(default=False, help_text='PlatformUser__colorblind__help', verbose_name='PlatformUser__colorblind')),
                ('high_contrast', models.BooleanField(default=False, help_text='PlatformUser__high_contrast__help', verbose_name='PlatformUser__high_contrast')),
                ('tag_ignorelist', django.contrib.postgres.fields.ArrayField(base_field=models.SlugField(), blank=True, default=list, help_text='PlatformUser__tag_ignorelist__help', size=None, verbose_name='PlatformUser__tag_ignorelist')),
                ('receive_dms', models.BooleanField(default=True, help_text='PlatformUser__receive_dms__help', verbose_name='PlatformUser__receive_dms')),
                ('receive_dm_images', models.BooleanField(default=False, help_text='PlatformUser__receive_dm_images__help', verbose_name='PlatformUser__receive_dm_images')),
                ('autoaccept_contacts', models.BooleanField(default=False, help_text='PlatformUser__autoaccept_contacts__help', verbose_name='PlatformUser__autoaccept_contacts')),
                ('menu', models.JSONField(blank=True, default=dict, help_text='PlatformUser__menu__help', verbose_name='PlatformUser__menu')),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('legal_guardian', models.ForeignKey(blank=True, help_text='PlatformUser__legal_guardian__help', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='PlatformUser__legal_guardian')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
                'abstract': False,
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name='Conference',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('slug', models.SlugField(help_text='Conference__slug__help', unique=True, verbose_name='Conference__slug')),
                ('name', models.CharField(help_text='Conference__name__help', max_length=200, verbose_name='Conference__name')),
                ('is_public', models.BooleanField(default=False, help_text='Conference__is_public__help', verbose_name='Conference__is_public')),
                ('registration_deadline', models.DateTimeField(blank=True, help_text='Conference__registration_deadline__help', null=True, verbose_name='Conference__registration_deadline')),
                ('start', models.DateTimeField(blank=True, help_text='Conference__start__help', null=True, verbose_name='Conference__start')),
                ('end', models.DateTimeField(blank=True, help_text='Conference__end__help', null=True, verbose_name='Conference__end')),
            ],
            options={
                'verbose_name': 'Conference',
                'verbose_name_plural': 'Conferences',
            },
        ),
        migrations.CreateModel(
            name='ConferenceTrack',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(help_text='ConferenceTrack__slug__help', verbose_name='ConferenceTrack__slug')),
                ('name', models.CharField(help_text='ConferenceTrack__name__help', max_length=200, verbose_name='ConferenceTrack__name')),
                ('is_public', models.BooleanField(default=True, help_text='ConferenceTrack__is_public__help', verbose_name='ConferenceTrack__is_public')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='tracks', to='core.conference', verbose_name='Conference__reference')),
            ],
            options={
                'verbose_name': 'ConferenceTrack',
                'verbose_name_plural': 'ConferenceTracks',
            },
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
                ('language', models.CharField(blank=True, help_text='Event__language__help', max_length=50, null=True, verbose_name='Event__language')),
                ('description', models.TextField(blank=True, help_text='Event__description__help', verbose_name='Event__description')),
                ('is_public', models.BooleanField(default=False, help_text='Event__is_public__help', verbose_name='Event__is_public')),
                ('schedule_start', models.DateTimeField(blank=True, help_text='Event__schedule_start__help', null=True, verbose_name='Event__schedule_start')),
                ('schedule_duration', models.DurationField(blank=True, help_text='Event__schedule_duration__help', null=True, verbose_name='Event__schedule_duration')),
                ('fsk', core.fields.FskField(choices=[('all', 'FSK_0'), ('14+', 'FSK_14'), ('16+', 'FSK_16'), ('18+', 'FSK_18')], default='18+', help_text='FSK__help', max_length=10, verbose_name='FSK')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='events', to='core.conference', verbose_name='Conference__reference')),
            ],
            options={
                'verbose_name': 'Event',
                'verbose_name_plural': 'Events',
            },
        ),
        migrations.CreateModel(
            name='Room',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=200)),
                ('room_type', models.CharField(choices=[('lecturehall', 'Room__type-lecturehall'), ('stage', 'Room__type-stage'), ('workshop', 'Room__type-workshop'), ('outside', 'Room__type-outside'), ('online', 'Room__type-online'), ('project', 'Room__type-project'), ('bbb', 'Room__type-bbb'), ('workadventure', 'Room__type-workadventure'), ('hangar', 'Room__type-hangar'), ('other', 'Room__type-other')], help_text='Room__type__help', max_length=20, verbose_name='Room__type')),
                ('capacity', models.PositiveIntegerField(blank=True, help_text='Room__capacity__help', null=True, verbose_name='Room__capacity')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='rooms', to='core.conference', verbose_name='Conference__reference')),
            ],
            options={
                'verbose_name': 'Room',
                'verbose_name_plural': 'Rooms',
            },
        ),
        migrations.CreateModel(
            name='Sticker',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Badge__name__help', max_length=100, verbose_name='Badge__name')),
                ('show_public', models.BooleanField(default=True, help_text='Badge__show_public__help', verbose_name='Badge__show_public')),
                ('is_achievement', models.BooleanField(default=False, help_text='Badge__is_achievement__help', verbose_name='Badge__is_achievement')),
                ('fsk', core.fields.FskField(choices=[('all', 'FSK_0'), ('14+', 'FSK_14'), ('16+', 'FSK_16'), ('18+', 'FSK_18')], default='18+', help_text='FSK__help', max_length=10, verbose_name='FSK')),
                ('image_url', models.URLField(blank=True, help_text='Badge__image_url__help', null=True, verbose_name='Badge__image_url')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='badges', to='core.conference', verbose_name='Conference__reference')),
            ],
        ),
        migrations.CreateModel(
            name='Venue',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('slug', models.SlugField(help_text='Venue__slug__help', verbose_name='Venue__slug')),
                ('name', models.CharField(help_text='Venue__name__help', max_length=200, verbose_name='Venue__name')),
                ('state', models.CharField(choices=[('planned', 'Venue__state-planned'), ('registered', 'Venue__state-registered'), ('hidden', 'Venue__state-hidden'), ('accepted', 'Venue__state-accepted'), ('rejected', 'Venue__state-rejected'), ('placed', 'Venue__state-placed'), ('arrived', 'Venue__state-arrived_self'), ('confirmed', 'Venue__state-arrived_confirmed')], default='planned', help_text='Venue__state__help', max_length=20, verbose_name='Venue__state')),
                ('venue_type', models.CharField(choices=[('virtual', 'Venue__type-virtual'), ('physical', 'Venue__type-physical')], help_text='Venue__type__help', max_length=20, verbose_name='Venue__type')),
                ('venue_location', models.TextField(blank=True, help_text='Venue__location__help', null=True, verbose_name='Venue__location')),
                ('venue_link', models.URLField(blank=True, help_text='Venue__link__help', null=True, verbose_name='Venue__link')),
                ('fsk', core.fields.FskField(choices=[('all', 'FSK_0'), ('14+', 'FSK_14'), ('16+', 'FSK_16'), ('18+', 'FSK_18')], default='18+', help_text='FSK__help', max_length=10, verbose_name='FSK')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='venues', to='core.conference', verbose_name='Conference__reference')),
                ('parent', models.ForeignKey(blank=True, help_text='Venue__parent__help', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='core.venue', verbose_name='Venue__parent')),
            ],
            options={
                'verbose_name': 'Venue',
                'verbose_name_plural': 'Venues',
            },
        ),
        migrations.CreateModel(
            name='UserTimelineEntry',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('timestamp', models.DateTimeField(default=django.utils.timezone.now, help_text='UserTimelineEntry__timestamp__help', verbose_name='UserTimelineEntry__timestamp')),
                ('target_id', models.UUIDField()),
                ('is_bookmark', models.BooleanField(default=False, help_text='UserTimelineEntry__is_bookmark__help', verbose_name='UserTimelineEntry__is_bookmark')),
                ('comment', models.TextField(blank=True, help_text='UserTimelineEntry__comment__help', null=True, verbose_name='UserTimelineEntry__comment')),
                ('conference', core.fields.ConferenceReference(help_text='Conference__reference_help', on_delete=django.db.models.deletion.CASCADE, related_name='+', to='core.conference', verbose_name='Conference__reference')),
                ('target_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.contenttype')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='timeline', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserSticker',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('hidden', models.BooleanField(default=False, help_text='UserBadge__hidden__help', verbose_name='UserBadge__hidden')),
                ('sticker', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='users', to='core.sticker')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='badges', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserContact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pending', models.BooleanField(default=True, help_text='UserContact__pending__help', verbose_name='UserContact__pending')),
                ('share_status', models.BooleanField(help_text='UserContact__share_status__help', null=True, verbose_name='UserContact__share_status')),
                ('receive_dms', models.BooleanField(default=True, help_text='UserContact__receive_dms__help', verbose_name='UserContact__receive_dms')),
                ('receive_dm_images', models.BooleanField(default=False, help_text='UserContact__receive_dm_images__help', verbose_name='UserContact__receive_dm_images')),
                ('contact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='contacts', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='UserCommunicationChannel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('channel', models.CharField(choices=[('mail', 'UserCommunicationChannel__channel-mail'), ('xmpp', 'UserCommunicationChannel__channel-xmpp'), ('irc', 'UserCommunicationChannel__channel-irc'), ('dect', 'UserCommunicationChannel__channel-dect'), ('phone', 'UserCommunicationChannel__channel-phone'), ('matrix', 'UserCommunicationChannel__channel-matrix')], help_text='UserCommunicationChannel__channel__help', max_length=20, verbose_name='UserCommunicationChannel__channel')),
                ('address', models.CharField(help_text='UserCommunicationChannel__address__help', max_length=255, verbose_name='UserCommunicationChannel__address')),
                ('is_verified', models.BooleanField(default=False, help_text='UserCommunicationChannel__is_verified__help', verbose_name='UserCommunicationChannel__is_verified')),
                ('use_for_notifications', models.BooleanField(default=False, help_text='UserCommunicationChannel__use_for_notifications__help', verbose_name='UserCommunicationChannel__use_for_notifications')),
                ('show_public', models.BooleanField(default=False, help_text='UserCommunicationChannel__show_public__help', verbose_name='UserCommunicationChannel__show_public')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='communication_channels', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='sticker',
            name='issuing_venue',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='badges', to='core.venue'),
        ),
        migrations.CreateModel(
            name='RoomLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('link_type', models.CharField(choices=[('website', 'RoomLink__type-website'), ('chat', 'RoomLink__type-chat'), ('bbb', 'RoomLink__type-bbb'), ('jitsi', 'RoomLink__type-jitsi'), ('pad', 'RoomLink__type-pad'), ('media.ccc.de', 'RoomLink__type-media_ccc_de'), ('video', 'RoomLink__type-video'), ('audio', 'RoomLink__type-audio')], help_text='RoomLink__type__help', max_length=20, verbose_name='RoomLink__type')),
                ('link', models.URLField()),
                ('conference_internal', models.BooleanField(default=False, help_text='RoomLink__conference_internal__help', verbose_name='RoomLink__conference_internal')),
                ('send_token', models.CharField(choices=[('none', 'RoomLink__send_token-none'), ('participant', 'RoomLink__send_token-participant'), ('name', 'RoomLink__send_token-name')], default='none', help_text='RoomLink__conference_internal__help', max_length=20, verbose_name='RoomLink__conference_internal')),
                ('room', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='links', to='core.room')),
            ],
        ),
        migrations.AddField(
            model_name='room',
            name='venue',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='rooms', to='core.venue'),
        ),
        migrations.CreateModel(
            name='EventParticipant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('role', models.CharField(choices=[('speaker', 'EventParticipant__type-speaker'), ('angel', 'EventParticipant__type-angel'), ('regular', 'EventParticipant__type-regular'), ('prospect', 'EventParticipant__type-prospect')], default='regular', help_text='EventParticipant__role__help', max_length=20, verbose_name='EventParticipant__role')),
                ('is_accepted', models.BooleanField(default=False, help_text='EventParticipant__is_accepted__help', verbose_name='EventParticipant__is_accepted')),
                ('is_public', models.BooleanField(default=False, help_text='EventParticipant__is_public__help', verbose_name='EventParticipant__is_public')),
                ('personal_comment', models.TextField(blank=True, help_text='EventParticipant__personal_comment__help', null=True, verbose_name='EventParticipant__personal_comment')),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='participants', to='core.event')),
                ('participant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='events', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='EventAttachment',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('file', models.FileField(upload_to=core.models.events._EventAttachment_upload_path)),
                ('filename', models.CharField(max_length=255)),
                ('mime_type', models.CharField(max_length=100)),
                ('visibility', models.CharField(choices=[('private', 'EventAttachment__visibility-private'), ('participants', 'EventAttachment__visibility-participants'), ('conference', 'EventAttachment__visibility-conference'), ('public', 'EventAttachment__visibility-public')], default='private', max_length=20)),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.event')),
            ],
            options={
                'verbose_name': 'EventAttachment',
                'verbose_name_plural': 'EventAttachments',
            },
        ),
        migrations.AddField(
            model_name='event',
            name='room',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='core.room'),
        ),
        migrations.AddField(
            model_name='event',
            name='track',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='core.conferencetrack'),
        ),
        migrations.AddConstraint(
            model_name='venue',
            constraint=models.UniqueConstraint(fields=('conference', 'slug'), name='unique_conferencevenue_slug'),
        ),
        migrations.AddConstraint(
            model_name='conferencetrack',
            constraint=models.UniqueConstraint(fields=('conference', 'slug'), name='unique_conferencetrack_slug'),
        ),
    ]
