# Generated by Django 4.2 on 2023-04-15 16:06

from django.db import migrations, models, transaction


class Migration(migrations.Migration):
    dependencies = [
        ('core', '0087_remove_staticpage_rendered_body_and_more'),
    ]

    def set_url_prefix(apps, schema_editor):
        Conference = apps.get_model("core", "Conference")
        with transaction.atomic():
            for conference in Conference.objects.all():
                conference.url_prefix = conference.slug
                conference.save()

    operations = [
        migrations.AddField(
            model_name='conference',
            name='url_prefix',
            field=models.SlugField(help_text='Conference__url_prefix__help', unique=False, verbose_name='Conference__url_prefix', default=""),
            preserve_default=False,
        ),
        migrations.RunPython(set_url_prefix, migrations.RunPython.noop, elidable=True)
    ]
