import uuid
from django.db import migrations, models


def do(apps, schema_editor):
    """ copy user description to conferencemember model """
    ConferenceMember = apps.get_model('core', 'ConferenceMember')
    for cm in ConferenceMember.objects.all():
        cm.uuid = uuid.uuid4()
        cm.save(update_fields=['uuid'])


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0106_conferencemember_description3'),
    ]

    operations = [
        migrations.RunPython(do, migrations.RunPython.noop, elidable=True),
        migrations.AlterField(
            model_name='conferencemember',
            name='uuid',
            field=models.UUIDField(default=uuid.uuid4, unique=True),
        ),
    ]
