# Generated by Django 5.1.3 on 2024-12-23 11:13

from django.db import migrations, models


def setup_location_state(apps, schema_editor):
    Assembly = apps.get_model("core", "Assembly")  # type=core.models.Assembly
    for a in Assembly.objects.all():
        if a.location_data:
            if a.state in ['placed', 'arrived', 'confirmed']:  # aka a.is_placed
                a.location_state = 'final' if a.state == 'placed' else 'preview'
            else:
                a.location_state = 'draft'
        else:
            a.location_state = 'none'
        a.save(update_fields=["location_state"])


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0171_remove_team_require_staff_team_visibility'),
    ]

    operations = [
        migrations.AddField(
            model_name='assembly',
            name='location_state',
            field=models.CharField(choices=[('none', 'Assembly__location_state-none'), ('draft', 'Assembly__location_state-draft'), ('rough', 'Assembly__location_state-rough'), ('preview', 'Assembly__location_state-preview'), ('final', 'Assembly__location_state-final')], default='none', help_text='Assembly__location_state__help', max_length=20, verbose_name='Assembly__location_state'),
        ),
        migrations.RunPython(setup_location_state, migrations.RunPython.noop, elidable=True),
    ]
