from django.template.defaulttags import register


@register.simple_tag
def update_parameters(params: dict[str, str], param: str, value: str, remove_params: list[str] | str | None = None):
    remove_params = remove_params if remove_params else []
    if isinstance(remove_params, str):
        remove_params = [param.strip() for param in remove_params.split(',')]
    internal_params = params.copy()
    if param in internal_params and params[param] == value:
        internal_params.pop(param)
    else:
        internal_params[param] = value
    for remove_param in remove_params:
        internal_params.pop(remove_param, None)
    param_list = [f'{k}={v}' for k, v in internal_params.items() if v]
    return '?' + '&'.join(param_list)
